/*
   Fixed-size web application
   Uses rem units for proportional scaling during development
   Layout is intentionally non-responsive
*/

/*   **********    SETUP OF DOCUMENT     **********     */

html {
    /* FINAL SIZE FOR MAKING IT 1920x1080 */
    font-size: 16px;
    /* SIZE FOR DEVELOPMENT */
    /* comment below out for final submission */
    /* can change based on size needed */
    /* font-size: 8px; */
}

body {
    background-color: #000000;
    background-image: url(../assets/brick_wall.jpg);
    background-size: cover;
    pointer-events: none;

    display: flex;
    justify-content: center;
    /* horizontal center */
    align-items: center;
    /* vertical center */
    height: 100vh;
    /* full viewport height */
    margin: 0;

    /* Stops user interaction */
}

/*   **********    MAIN ELEMENTS     **********     */

main {
    width: 120.0rem;
    height: 67.5rem;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 42.0rem 78.0rem;
    grid-template-rows: 62.5rem 5.0rem;
    background-color: #000;
}

/*   **********    Container ELEMENTS     **********     */

.left-side {
    background-color: #BBB;
    display: grid;
    grid-template-rows: 12.5rem 12.5rem 37.5rem;
}

.right-side {
    background-color: #AAA;
    display: grid;
    grid-template-rows: 43.875rem 18.625rem;
}


/*   **********    Content ELEMENTS     **********     */

main > div > div,
.bottom {
    color: #848484;
    font-size: 2.0rem;
}

/* REMOVE CSS STYLE ABOVE BEFORE STYLING BELOW */

.left-side-top {
    height: 12.5rem;
    background-color: #727272;
}

.left-side-middle {
    height: 12.5rem;
    background-color: #909090;
}

.left-side-bottom {
    height: 37.5rem;
    background-color: #bdbdbd;
}

.right-side-bottom {
    height: 18.625rem;
    overflow: hidden;
    background-color: #ffffff;
}

.bottom {
    grid-column: 1 / -1;
    background-color: #fff;
    display: flex;
    border-top: 0.0625rem solid #016837;
}

.left-side-top {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    background-color: white;
}

.branding {
    display: flex;
    align-items: center;
    justify-content: center;
}

.branding img {
    width: 42rem;
    height: auto;
}

.time-date {
    display: grid;
    grid-template-columns: 13rem 29.625rem;
    height: 4.6rem;
    gap: 0.1rem;
    color: aliceblue;
}

.time {
    font-family: lato;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #006837;
    font-weight: 700;
}

.date {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #3e2b2f;
    font-family: "Lato", sans-serif;
    font-size: 1.3rem;
    font-weight: 500;
    letter-spacing: 0.0625rem;
}

.date-suffix {
    font-size: 0.5em;
    vertical-align: super;
    margin-left: 0.125rem;
    margin-bottom: 1rem;
    font-weight: 400;
}

#gsap-iframe {
    width: 100%;
    height: 100%;
}

.news-slide h2 {
    font-family: "Oswald", sans-serif;
    font-weight: 500;
    color: #008263;
    padding: 0rem 1rem 0.4rem 1.4rem;
    font-size: 2.2rem;
    margin-left: -1.25rem;
}

.news-slide p {
    width: 47rem;
    font-family: "Oswald", sans-serif;
    font-weight: 400;
    color: #3e2b2f;
    padding: 1rem 1rem 1rem 1.4rem;
    font-size: 1.45rem;
    margin-left: -1.25rem;
}

/* Make sure slider container is relative */
.slick-slider {
    position: relative;
}

.news-slide {
    display: flex;
    flex-direction: row;
    gap: 5rem;
}

.news-img-section {
    background-color: #ABABAB;
}

.news-img {
    position: absolute;
    z-index: 2;
}

.news-img img {
    margin: 1.3rem 0 0 1.2rem;
    width: 19rem;
    height: 16rem;
}

.news-img-bg {
    position: relative;
    width: 19rem;
    height: 19rem;
    background-color: #3e2b2f;
}

.news-content {
    display: flex;
    flex-direction: column;
    margin-top: 2rem;
    width: 50rem;
    height: auto;
}

.news-head-img {
    width: 13rem;
    height: 6rem;
    margin-top: 1rem;
}

#news-slider .slick-dots {
    width: 0rem;
    right: 4rem;
    top: 4rem;
    /* display: flex;
    flex-direction: column;
    gap: .5rem; */
}

/* #news-slider .slick-dots li {
   border: solid 2px #006837;
} */

/* #news-slider .slick-dots li button{
   background-color: #006837;
} */

#news-slider .slick-dots li {
    margin-top: 0.625rem;
}

#news-slider .slick-dots li button:before {
    font-size: 0rem;
    height: 0.5rem;
    width: 0.5rem;
    border: solid 0.125rem #006837;
}

#news-slider .slick-dots .slick-active {
    font-size: 0rem;
    height: 0.7rem;
    width: 0.7rem;
    background-color: #006837;
}

/* Ticker */
.bottom {
    grid-column: 1 / -1;
    background-color: #fff;
    display: flex;
}

.marquee {
    overflow: hidden;
    height: 100%;
}

#dceat-img {
    width: 12rem;
    height: 5rem;
}

#dceat-img img {
    width: 12rem;
    height: 5rem;
}

#ticker-tape-container {
    margin-top: 1.5rem;
    width: 107rem;
    height: 5rem;
    font-family: "Lato", sans-serif;
}

.meal {
    color: #ff0000;
    margin-right: 1rem;
}

.meals {
    color: #3e2b2f;
    margin-right: 4rem;
}

.dot {
    color: #E31B23;
    /* brighter red */
    font-weight: bold;
    margin: 0 0.5rem;
}

#weather-container {
    background-color: rgb(225, 229, 224);
    display: flex;
    align-items: center;
    height: 12.06rem;
}

.weather-item {
    width: calc(100% / 5);
    text-align: center;
    height: 12.9rem;
}

.weather-item > img {
    height: 4rem;
    width: auto;
}

.weather-day {
    font-family: "oswald", sans-serif;
    font-size: 2rem;
    color: white;
    font-weight: 400;
    padding: 0.6875rem;
}

.weather-name {
    font-size: 1.10rem;
    padding: rem;
    color: #3e2b2f;
    font-weight: 400;
    font-family: 'Lato', sans-serif;
}

.weather-temp {
    font-size: 1rem;
    padding: 1.5rem;
    font-family: 'Lato', sans-serif;
    font-weight: 400;
    color: white;
}

.hl-letter {
    color: #8B4513;
    /* brown for H and L */
    font-weight: 700;
}

.weather-item:nth-child(even) {
    background-color: #ffb600;
}

.weather-item:nth-child(odd) {
    background-color: #d58f29;
}

/* Youtube */
.right-side-top {
    position: relative;
    overflow: hidden;
    background-color: #000;
}

#youtube-iframe {
    position: relative;
    width: 78.1rem;
    height: 60rem;
    top: -8rem;
    left: -0.1rem;
    right: -0.1rem;
}

#tv-wrapper {
    width: calc(120rem + 4rem);
    height: calc(67.5rem + 4rem);
    display: flex;
    justify-content: center;
    align-items: center;

    /* TV frame border */
    border: 2rem solid #222;
    /* dark bezel */
    border-radius: 1rem;
    box-shadow:
        0 0 3rem rgba(0, 0, 0, 0.7),
        /* soft shadow for depth */
        inset 0 0 2rem rgba(255, 255, 255, 0.05);
    /* subtle sheen inside */

    background: linear-gradient(to top left,
            rgba(255, 255, 255, 0.05),
            rgba(255, 255, 255, 0));
    /* small highlight */
}

/* update size of screen based on browser width */
@media screen and (max-width: 119.9375rem) {
    html {
        font-size: calc(round(nearest, 0.7vw, 0.0625rem));
    }
}